package com.loafle.cms.rpc.common.util;

import java.util.Date;

import com.google.protobuf.Timestamp;

public class Time {
  static final long MILLIS_PER_SECOND = 1000;

  public static Date toDate(Timestamp timestamp) {
    if (null == timestamp) {
      return null;
    }
    return new Date(timestamp.getSeconds() * MILLIS_PER_SECOND);
  }

  public static Timestamp toTimestamp(Date date) {
    if (null == date) {
      return null;
    }
    return Timestamp.newBuilder().setSeconds(date.getTime() / MILLIS_PER_SECOND).build();
  }
}